/*Bibliothque classique
 */
#include <stdio.h>
#include <stdlib.h>

/* Fontion sur les chaines de caractre
 */
#include <string.h>

/* Fontions personnilises pour la mmoire contenant la discussion du chat
 */
#include "memoire.h"


/*! afficher_discussion() affiche la discussion
\param tab_discussion tableau de caractre contenant les derniers messages envoys
\return void
*/
void afficher_discussion(char* tab_discussion){

	printf("valeur de memoire: %s\n\n",tab_discussion);

}

int main(){

	int semid;	//Identifiant du smaphore
	int shmid;	//Identifiant du segement de mmoire partage
	char* tab_discussion;	//Pointeur vers le tableau contenant l'historique de la discussion

	char message[200]="";	//message saisi
	char quit[]="/quit";	//suite de caractres quittant le jeu

	creer_memoire(&semid, &shmid, &tab_discussion);



	while(strncmp(message,quit,5) != 0){

		printf("Saisir votre message : \n");
		fgets(message,200,stdin);

		inserer_message(semid,tab_discussion,message);

		afficher_discussion(tab_discussion);
	}

	detruire_memoire(semid,shmid,tab_discussion);
	return 1;
}
